﻿
        var onResizeCompleted = (function () {
            var timers = {};
            return function (callback, ms, uniqueId) {
                if (!uniqueId) {
                    uniqueId = "Don't call this twice without a uniqueId";
                }
                if (timers[uniqueId]) {
                    clearTimeout(timers[uniqueId]);
                }
                timers[uniqueId] = setTimeout(callback, ms);
            };
        })();

        $(window).bind("resize", function () {
            onResizeCompleted(function () {
                $("BODY").innerPageHandler();
            }, 500, "home_page_resize_script");
        });

        $(document).ready(function () {
            $("BODY").innerPageHandler();
        });
